Changes between Version 7 and Version 8 of Encode/AAC


Ignore:
Timestamp:
Feb 9, 2013, 2:17:01 AM (5 years ago)
Author:
llogan
Comment:

add strict error message for error searchers; awesomify song title

Legend:

Unmodified
Added
Removed
Modified
  • Encode/AAC

    v7 v8  
    140140 
    141141{{{ 
    142 ffmpeg -i input ... -metadata author="FFmpeg Bayou Jug Band" -metadata title="Decode my Heart" output.mp4 
     142ffmpeg -i input ... -metadata author="FFmpeg Bayou Jug Band" -metadata title="Decode my Heart (Let's Mux)" output.mp4 
    143143}}} 
    144144 
     
    148148=== Which encoder should I use? What provides the best quality? === 
    149149 
    150 It depends. For AAC-LC the likely answer is: `libfdk_aac` > `libfaac` > Native FFmpeg AAC ≥ `libvo_aacenc`. 
     150For AAC-LC the likely answer is: `libfdk_aac` > `libfaac` > Native FFmpeg AAC ≥ `libvo_aacenc`. 
    151151 
    152152=== Should I use AAC-LC or AAC-HE? === 
    153153 
    154 It also depends. If you require a low audio bitrate, such as ≤ 32kbs/channel, then AAC-HE would be worth considering if your player or device can support AAC-HE decoding. Anything higher may benefit more from AAC-LC due to less processing. If in doubt use AAC-LC. All players supporting AAC-HE also support AAC-LC. 
     154If you require a low audio bitrate, such as ≤ 32kbs/channel, then AAC-HE would be worth considering if your player or device can support AAC-HE decoding. Anything higher may benefit more from AAC-LC due to less processing. If in doubt use AAC-LC. All players supporting AAC-HE also support AAC-LC. 
     155 
     156=== I get an error about "experimental codecs". What does this mean? === 
     157 
     158Some encoders, such as the native FFmpeg AAC encoder (`aac`), are considered experimental and require the addition of `-strict experimental` or `-strict -2` (same thing, different name) to your command as an output option. Otherwise you may see: 
     159 
     160{{{ 
     161The encoder 'aac' is experimental but experimental codecs are not enabled, add '-strict -2' if you want to use it. 
     162}}} 
     163 
    155164 
    156165{{{#!comment